The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> if_nameindex - return all network interface names and indexes

#### SYNOPSIS

> ``#include <net/if.h>
> struct if_nameindex *`if_nameindex`(void);
> ``

#### DESCRIPTION

> The if_nameindex() function shall return an array of if_nameindex structures, one structure per interface. The end of the array is indicated by a structure with an if_index field of zero and an if_name field of NULL.

> Applications should call if_freenameindex() to release the memory that may be dynamically allocated by this function, after they have finished using it.

#### RETURN VALUE

> An array of structures identifying local interfaces. A null pointer is returned upon an error, with errno set to indicate the error.

#### ERRORS

> The if_nameindex() function may fail if:

> [ENOBUFS]
>   Insufficient resources are available to complete the function.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> getsockopt, if_freenameindex, if_indextoname, if_nametoindex, setsockopt

> XBD <net/if.h>

#### CHANGE HISTORY

> First released in Issue 6. Derived from the XNS, Issue 5.2 specification.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]